Bug 6766 - Template variable scope errors in holds template
Summary: Template variable scope errors in holds template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-08-23 16:13 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Each table of existing holds should show a title (31.13 KB, image/png)
2011-08-23 16:13 UTC, Owen Leonard
Details
No patron name shows in error message (13.71 KB, image/png)
2011-08-23 16:15 UTC, Owen Leonard
Details
Proposed fix (1.72 KB, patch)
2011-08-23 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Multiple holds after correction (33.18 KB, image/png)
2011-08-23 16:21 UTC, Owen Leonard
Details
After correction, patron name appears in error message (13.95 KB, image/png)
2011-08-23 16:22 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-08-23 16:13:35 UTC
Created attachment 5103 [details]
Each table of existing holds should show a title

I've found two template variable scope errors in request.tt: One prevents the display of titles when the user is placing holds on multiple items. The other prevents the display of the patron information when there is a error placing a hold.
Comment 1 Owen Leonard 2011-08-23 16:15:20 UTC
Created attachment 5104 [details]
No patron name shows in error message

Error should read "[Patron name] already has a hold on this item"
Comment 2 Owen Leonard 2011-08-23 16:20:05 UTC
Created attachment 5105 [details] [review]
Proposed fix
Comment 3 Owen Leonard 2011-08-23 16:21:14 UTC
Created attachment 5106 [details]
Multiple holds after correction
Comment 4 Owen Leonard 2011-08-23 16:22:01 UTC
Created attachment 5107 [details]
After correction, patron name appears in error message
Comment 5 Ian Walls 2011-09-20 19:16:28 UTC
Going to give this one a double-jump:  please consider this my sign off, as well as the passing of the QA.

Template only change, T:T scope fix, easy to read, documented VERY well with screen shots.
Comment 6 Chris Cormack 2011-09-20 21:40:58 UTC
Pushed please test